import Step from '../Step';
import LocationSelectorMap from './Map' 

export default function LocationStep(props) {
    const locationInfoPanel = (
        <div className='py-5'>
            <h4>Right Plant Right Place Plant Selector Tool for New Zealand.</h4>
            <br/>
            <p>
                Your native plant selection starts here! Use the map to select a planting site location within New Zealand. On the following pages you will provide more details on your project until the system has enough information to create your plant species list and planting plan. To start, click on the map and pan and zoom to the site location. Once the location is selected, click on the “next step” button to complete the process. Repeat this process for sites at different locations.
            </p>
        </div>
    )

    const locationSelectionPanel = (
        <LocationSelectorMap {...props} />
    )

    return (
        <Step informationComponent={locationInfoPanel} selectionComponent={locationSelectionPanel} />
    )
}
